/* Color */
:root {
    --m-white: #FDFBF9;
    --m-gray: #F6F4F4;
    --light-violette: #918ACC;
    --m-violette: #725AC1;
    --dark-violette: #242038;
}

body {
    margin: 0;
    padding: 0;
    background-color: #000 !important;
    transition: 0.6s;
}

h1 {
    text-align: center;
    width: 100%;
    text-transform: uppercase;
}
p {
    margin: 0 !important;
}

#content {
    width: 100%;
}

#content > section {
    width: 100%;
    padding: 0 15%;

    margin-top: -3vw;
    padding-top: 3vw;
}

/**********************************************************************************************************/
/**********************************************************************************************************/
/**********************************************************************************************************/

.bg-gray {
    background: var(--m-gray);
}
.navbar {
    margin: auto 0;
}

.navbar-toggler {
    border: unset !important;
    top: 20px;
}

.navbar-brand {
    position: absolute;
    top: 2rem;
    left: 50%;
    transform: translate(-50%,-50%)
}

.navbar-brand img {
    width: 15rem;
}

.nav-link {
    color: var(--dark-violette)  !important;
    font-size: 13px;
    font-weight: 300;
    margin: 0 1rem !important;
    text-transform: uppercase;
}

.nav-link:hover {
    color: var(--light-violette) !important;
    text-decoration: underline !important;
}

.cart {
    text-align: right;
    padding: 0 1.5rem;
}

.cart i {
    font-size: 20px;
    position: absolute;
    top: 20px;
    right: 20px;
}

.cart i:hover {
    color: var(--light-violette);
}

.sharp-edge {
    height: 3vw;
    max-height: 40px;
    clip-path: polygon(0 0, 100% 0, 50% 100%);
    background: var(--m-gray);
}

.sharp-edge-inv {
    top: -2.95vw;
    position: relative;
    height: 3vw;
    clip-path: polygon(0 0,0 100%, 50% 100%,100% 100%, 100% 0, 50% 100%);
    background: var(--m-gray);
}

/**********************************************************************************************************/
/*********************************************** WELCOME **************************************************/
/**********************************************************************************************************/

#welcome {
    padding: 0 !important;
    background-color: green;
}

.welcome-img {
    width: 100%;
}

.welcome-img > img {
    width: 100%;
}

.welcome--text {
    position: absolute;
    left: 50%;
    top: 35%;
    transform: translate(-50%,-50%);
    color: var(--m-white);
    font-size: 80px;
    text-shadow: 1px 1px 10px grey;
}

/**********************************************************************************************************/
/**********************************************************************************************************/
/**********************************************************************************************************/

.cat-model{
    position: relative;
    width: 100%;
    display: inline-block;
    margin-bottom: 2rem;
}

.cat-img{
    border-radius: 20px;
    width: 300px;
    height: 240px;
    background: green;
    overflow: hidden;
    float: left;
    margin-right: 20px;
    margin-bottom: 20px;
}

.cat-name{
    position: absolute;
    top: 180px;
    width: 300px;
    text-align: center;
    font-weight: 100;
    font-size: 1.2rem;
    color: var(--light-violette);
    padding: 1rem;
    background: var(--m-white);
}   

.cat-desc{
    float: none;
    display: inline;
    color: var(--light-violette);
}

.mirrored .cat-img{
    float: right;
    margin-right: 0px;
    margin-left: 20px;
}

@media screen and (min-width:321px) and (max-width:1050px){
    .cat-desc{
        width: 45%;
    }
}


@media screen and (min-width:0px) and (max-width:320px)
{
    .navbar-brand img{
        width: 10rem;
    }

    .navbar-toggler{
        top: 40px;
    }

    .cat-model,
    .cat-model.mirrored{
        width: 100%;
        padding: 0;
        height: unset;
    }
    .cat-img,
    .mirrored .cat-img{
        position: relative;
        width: 200px;
        margin: 0 auto;
        top:unset;
        right:unset;
    }
    .mirrored .cat-desc,
    .cat-desc{
    position: unset;
    right: unset;
    top: unset;
    width: unset;
    }
}
